@charset "utf-8";
/**
 * @package		Registrations
 * @author		Piotr Adamiec
 */

/* ====================================================================================================
Global vars
==================================================================================================== */


/* ====================================================================================================
Browser reset & normalize
==================================================================================================== */
*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  -webkit-text-size-adjust: 100%;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  min-height: 100vh;
}

img,
picture,
svg,
video,
canvas {
  display: block;
  max-width: 100%;
}

img,
picture,
video,
canvas {
  height: auto;
}

button,
input,
textarea,
select {
  margin: 0;
  font: inherit;
  color: inherit;
}

button {
  cursor: pointer;
}

button,
select {
  text-transform: none;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

textarea {
  resize: vertical;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

:target {
  scroll-margin-block: 2rem;
}

@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    scroll-behavior: auto !important;
    transition-duration: 0.01ms !important;
  }
}


/* ====================================================================================================
Overwriting
==================================================================================================== */
/* Bootstrap ---------------------------------------- */
/* Vars */
:root {
  --bs-body-font-family: "Lato",Arial,sans-serif;
  --bs-body-color: #252525;
  --bs-body-bg: #EFEFEF;
  --bs-body-bg-rgb: 239,239,239;
  --bs-link-color: #005FCC;
  --bs-link-color-rgb: 0,95,204;
  --bs-link-hover-color: #004A99;
  --bs-link-hover-color-rgb: 0,74,153;

  --bs-form-invalid-color: #FC1E09;
  --bs-form-invalid-border-color: #FC1E09;
  
  --bs-btn-color: #ffffff;
  --bs-btn-bg: #005FCC;
  --bs-btn-border-color: #005FCC;
  --bs-btn-hover-color: #ffffff;
  --bs-btn-hover-bg: #004A99;
  --bs-btn-hover-border-color: #004A99;
  --bs-btn-focus-shadow-rgb: 49,132,253;
  --bs-btn-active-color: #ffffff;
  --bs-btn-active-bg: #004A99;
  --bs-btn-active-border-color: #004A99;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #A4A4A4;
  --bs-btn-disabled-bg: #393939;
  --bs-btn-disabled-border-color: #535353;

  --bs-border-color: #88ABD4;
  --bs-border-radius: 6px;
}

/* Buttons */
.btn {
  --bs-btn-padding-x: 1.5rem;
  --bs-btn-padding-y: .6rem;
}

.btn-primary span,
.btn-secondary span {
  padding-left: 10px;
}

.btn-secondary {
  --bs-btn-color: #0065FB;
  --bs-btn-bg: #ffffff;
  --bs-btn-border-color: #ffffff;
  --bs-btn-hover-color: #0154CF;
  --bs-btn-hover-bg: #D5E6FF;
  --bs-btn-hover-border-color: #D5E6FF;
  --bs-btn-focus-shadow-rgb: 130,138,145;
  --bs-btn-active-color: #0154CF;
  --bs-btn-active-bg: #D5E6FF;
  --bs-btn-active-border-color: #D5E6FF;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #ffffff;
  --bs-btn-disabled-bg: #6c757d;
  --bs-btn-disabled-border-color: #6c757d;
}


/* CMS ---------------------------------------- */
joomla-alert {
  position: relative;
  --jui-alert-padding: 1rem 1.5rem 1rem 4rem;
  --jui-alert-margin: 0 0 2rem 0;
  --jui-alert-success-color: #234423;
  --jui-alert-success-background-color: #d9e6d9;
  --jui-alert-success-border-color: #B1D2B1;
  --jui-alert-success-link-color: #122212;
  --jui-alert-info-color: #0c5460;
  --jui-alert-info-background-color: #d1ecf1;
  --jui-alert-info-border-color: #92CFD9;
  --jui-alert-info-link-color: #062c33;
  --jui-alert-warning-color: #7d5a29;
  --jui-alert-warning-background-color: #fcefdc;
  --jui-alert-warning-border-color: #EEC68D;
  --jui-alert-warning-link-color: #573e1c;
  --jui-alert-danger-color: var(--bs-white);
  --jui-alert-danger-background-color: #B30900;
  --jui-alert-danger-border-color: #880700;
  --jui-alert-danger-link-color: #EFEDED;
}

joomla-alert[type="danger"] .joomla-alert--close {
  color: var(--jui-alert-button-color-light, #000);
  text-shadow: 0 1px 0 var(--jui-alert-button-color-dark, var(--bs-white));
}

/* ikony */
joomla-alert::before {
  position: absolute;
  display: block;
  left: 1rem;
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
  width: 2rem;
  height: 2rem;

  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  font-size: 2rem;
  line-height: 100%;
  margin: 0;
  padding: 0;
}
joomla-alert[type="success"]::before {
  content: "\f058";
  color: var(--jui-alert-success-color);
}
joomla-alert[type="info"]::before {
  content: "\f05a";
  color: var(--jui-alert-info-color);
}
joomla-alert[type="warning"]::before {
  content: "\f06a";
  color: var(--jui-alert-warning-color);
}
joomla-alert[type="danger"]::before {
  content: "\f071";
  color: var(--jui-alert-danger-color);
}


/* PWE ---------------------------------------- */
/* Buttons */
.pwe-btn-group {
  display: block;
  text-align: center;
}
.pwe-btn-group > * {
  margin-left: 10px;
  margin-right: 10px;
}

/* Skiplinks */
.pwe-skiplinks a {
  background-color: var(--bs-white);
}


/* ====================================================================================================
Typography
==================================================================================================== */
/* Fonts ---------------------------------------- */
@font-face { /* Light */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}
@font-face { /* Light Italic */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-LightItalic.ttf') format('truetype');
  font-weight: 300;
  font-style: italic;
}
@font-face { /* Regular */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}
@font-face { /* Regular Italic */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
}
@font-face { /* Medium */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}
@font-face { /* Medium Italic */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-MediumItalic.ttf') format('truetype');
  font-weight: 500;
  font-style: italic;
}
@font-face { /* Bold */
  font-family: 'Lato';
  src: url('../fonts/LatoLatin-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}
@font-face { /* Bold Italic */
  font-family: 'Lato';
  src:  url('../fonts/LatoLatin-BoldItalic.ttf') format('truetype');
  font-weight: 700;
  font-style: italic;
}


/* Text ---------------------------------------- */
p {
  margin-block: 0;
  line-height: 1.6;
}

.t-content p {
  margin-block-end: 1em;
}

.t-content p:last-child {
  margin-block-end: 0;
}

.t-text-white {
  color: var(--bs-white);
}


/* Colors ---------------------------------------- */



/* Headings ---------------------------------------- */
h1, h2, h3, h4, h5, h6 {
  margin-bottom: 1.5rem;
}
h1 {
  font-size: 1.8rem;
}
h2 {
  font-size: 1.6rem;
}
h3 {
  font-size: 1.5rem;
}
h4 {
  font-size: 1.4rem;
}
h5 {
  font-size: 1.3rem;
}
h6 {
  font-size: 1.2rem;
}

/* Default heading */
.t-heading {}
.heading-section {}




/* Links ---------------------------------------- */
a {
  text-decoration: underline;
}


/* Lists ---------------------------------------- */
ul, ol {
  margin: 0;
  margin-bottom: 1rem;
}


/* Outline ---------------------------------------- */
a:focus, area:focus, input:focus, select:focus, textarea:focus, button:focus, iframe:focus, 
[tabindex]:focus, [contentEditable=true]:focus {
	outline: #FF0404 solid 3px;
	outline-offset: 3px;
}


/* ====================================================================================================
Utilities
==================================================================================================== */
.visually-hidden, .t-visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.t-hidden {
  display: none !important;
}

.t-object-cover {
  object-fit: cover;
  height: 100%;
}



/* ====================================================================================================
Elements
small common elements like butons, badges, etc
==================================================================================================== */



/* ====================================================================================================================
Forms
==================================================================================================================== */

button, input, select, textarea {
  font: inherit;
  border: none;
  background: none;
  padding: 0;
  margin: 0;
  color: inherit;
}
button, input[type="submit"], input[type="reset"] {
  cursor: pointer;
	outline: inherit;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

/* Form controls --------------------------------------- */
.form-control {
  background-color: #ffffff;
}

.form-group {
  padding-bottom: 1rem;
}

.form-control::placeholder {
  color: #B8B8B8;
}

.form-control:focus {
  background: #ffffff;
}

.control-group {
  padding-bottom: 2rem;
}

.control-label label {
  font-size: 1.1rem;
  padding-bottom: 4px;
}

input[type="checkbox"] {
  background-color: #ffffff;
}

.form-check {
  padding-left: 35px;
}
.form-check .form-check-input {
  margin-left: -23px;
}

/* Correct checkbox ------------------------------------ */
.correct-checkbox {
  display: flex;
  flex-direction: row !important;
  flex-wrap: nowrap !important;
}
.correct-checkbox .control-label {
  width: 100% !important;
  order: 2;
}
.correct-checkbox .control-label label {
  padding-bottom: 0;
}
.correct-checkbox .controls {
  order: 1;
  min-width: auto !important;
}
.correct-checkbox .form-check .form-check-input {
  margin-left: auto;
}
.correct-checkbox .form-check {
  padding-left: 0;
}
.admin :not(.form-vertical) .correct-checkbox {
  margin-left: 240px;
}

/* Password toggler ------------------------------------ */
.input-password-toggle {
  background-color: #E9E9ED !important;
  border: solid 1px #A1A1A1 !important;
}
.icon-eye::before {
  content: "";
}
.icon-eye-slash::before {
  content: "";
}
.fa-fw, .icon-fw {
  text-align: center;
  width: 1.25em;
}
.fa-classic, .fas, [class^="icon-"], [class*=" icon-"], .fa-solid, .far, .fa-regular {
  font-family: "Font Awesome 6 Free";
}

/* Form feedback --------------------------------------- */
.form-control-feedback {
  margin-left: 50px;
}

.invalid {
  color: var(--bs-form-invalid-color);
  border-color: var(--bs-form-invalid-border-color);
}

/* Recaptcha ------------------------------------------- */
.g-recaptcha .has-danger iframe {
  border: solid 2px #FF0000;
}

/* Fabrik ------------------------------------------- */
.form-label.fabrikLabel.fabrikEmptyLabel {
  display: none !important;
}


/* ====================================================================================================
Blocks / patterns
bigger common elements like cards, nav, article, galleries, etc
==================================================================================================== */

body {
  background: var(--bs-body-bg);
}

/* -------------------- Section */
.t-section {
  padding-top: 20px;
  padding-bottom: 20px;
}

/* -------------------- MP intro content box */
.main-content {
  padding-top: 1.3rem;
  padding-bottom: 1rem;
}

/* -------------------- Users menu */
.aside-menu__list {
  list-style-type: none;
  display: block;
  width: 100%;
  margin: 0;
  padding: 0;
  margin-bottom: 30px;
}
.aside-menu__list li {
  display: block;
  width: 100%;
  margin: 0;
  padding: 0;
}
.aside-menu__list li a {
  display: block;
  width: 100%;
  font-size: 1rem;
  color: #ffffff;
  text-decoration: none;
  padding: 14px 25px;
  background-color: #38700B;
}
.aside-menu__list li a:hover, .aside-menu__list li a:focus, .aside-menu__list li a:active {
  background-color: var(--kps-color-orange-active);
}

.aside-menu__list li:not(:last-child) a {
  border-bottom: solid 1px #285108;
}

.aside-menu__list li:first-child a {
  border-top-left-radius: 10px;
}
.aside-menu__list li:last-child a {
  border-bottom-right-radius: 10px;
}


/* -------------------- Site header main menu */
.site-header__menu {
  position: relative;
  width: 100%;
  transform: translateY(50%);
  z-index: 5;
}

.main-menu__list {
  list-style-type: none;
  display: flex;
  margin: 0;
  padding: 0;
}
.main-menu__item {
  margin: 0;
  padding: 0;
}
.main-menu__link {
  position: relative;
  font-size: 1rem;
  color: #ffffff;
  text-decoration: none;
  padding: 14px 25px;
  background-color: #38700B;
}
.main-menu__link:hover, .main-menu__link:focus, .main-menu__link:active {
  background-color: var(--kps-color-orange-active);
}

.main-menu__list .main-menu__item:not(:last-child) .main-menu__link {
  border-right: solid 1px #285108;
}

.main-menu__list .main-menu__item:first-child .main-menu__link {
  border-bottom-left-radius: 10px;
}
.main-menu__list .main-menu__item:last-child .main-menu__link {
  border-top-right-radius: 10px;
}


/* Breadcrumbs =================================================== */
.t-breadcrumbs {
  padding: 16px 0;
  background-color: #E3E3E3;
}

.t-breadcrumbs__row {
  color: #484848;
  display: flex;
  font-size: .95rem;
}
.t-breadcrumbs__here {
  white-space: nowrap;
  padding-right: 5px;
}
.t-breadcrumbs__list {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.t-breadcrumbs__list li {
  display: inline;
}
.t-breadcrumbs__separator {
  color: #7D7D7D;
  font-size: .7rem;
  padding: 0 8px;
}




/* ====================================================================================================================
Site header
==================================================================================================================== */
.t-site-header {
  position: relative;
  background-color: var(--bs-white);
  padding-top: 10px;
  border-bottom: solid 1px #0073EA;
}

/* Site header branding -------------------------------- */
.t-site-header__brand {
  padding-bottom: 8px;
}

.t-site-brand {
  display: flex;
  width: 100%;
}

.t-site-brand__logo {
  flex: 0 0 50%;
  max-width: 50%;
  text-align: left;
}

.t-site-brand__promo {
  flex: 0 0 50%;
  max-width: 50%;
  align-items: center;
}

.t-site-logo__link {
  display: inline-block;
  line-height: 0;
}
.t-site-logo {
  display: block;
  height: clamp(45px, 5vw, 55px);
  width: auto;
  max-width: 100%;
}

/* Promo signs WS / UE --------------------------------- */
.promo-signs {
  display: flex;
}
.promo-signs > *:not(:last-child) {
  margin-right: 10px;
}
.promo-signs a {
  display: block;
}
.promo-signs img {
  display: block;
  max-width: 100%;
  width: 100%;
  height: auto;
}


/* ====================================================================================================================
Site main (content) structure
==================================================================================================================== */
.t-main {
  padding: 0;
  background-image: url('../images/umws_registrations_main_bg122.jpg');
  background-repeat: no-repeat;
  background-position: center top;
  background-size: 100% auto;
}



/* ====================================================================================================================
Site footer
==================================================================================================================== */
.t-site-footer {
  color: #D8D5D3;
  background-color: #423D39;
  border-bottom: solid 5px #61B3D7;
}

.t-site-footer a {
  color: #DDE9F6;
  text-decoration: underline;
}
.t-site-footer a:active, .t-site-footer a:hover, .t-site-footer a:focus {
  color: #FFFFFF;
}

.t-site-footer__site-name {
  color: #ffffff;
  padding-top: 20px;
}

.t-site-footer__privacy-menu {
  padding-top: 20px;
  text-align: right;
}

.t-privacy-menu {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.t-privacy-menu li {
  display: inline-block;
  margin: 0 16px;
}
.t-privacy-menu li:first-child {
  margin-left: 0;
}
.t-privacy-menu li:last-child {
  margin-right: 0;
}

.t-site-footer__copyrights {
  font-size: .9rem;
  padding: 20px 0;
}


/* ====================================================================================================================
Media Queries
==================================================================================================================== */

/* 1200px ---------------------------------------------- */
@media (max-width: 1200px) {
  
}

/* 991px ----------------------------------------------- */
@media (max-width: 991px) {
  
}

/* 768px ----------------------------------------------- */
@media (max-width: 768px) {
  /* Site branding */
  .c-site-brand {
    flex-direction: column;
  }
  .c-site-brand__logo {
    text-align: center;
    padding-top: 16px;
    padding-bottom: 0;
  }
  .c-site-brand__promo {
    justify-content: center;
    padding-top: 0;
    padding-bottom: 10px;
  }

  /* Site hero */
  .site-hero__photo {
    height: 90%;
    border-width: 5px;
  }

  .site-hero__photo--left {
    transform: translateY(20px);
    border-top-left-radius: 60px;
  }

  .site-hero__photo--right {
    transform: translateY(20px);
    border-top-right-radius: 60px;
  }

}

